Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.tree
Class ExpandVetoException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.swing.tree.ExpandVetoException

public class ExpandVetoException
extends java.lang.Exception

Exception used to stop and expand/collapse from happening.

See Also:
  Serialized Form

Field Summary
`protected TreeExpansionEvent` | `event` The event that the exception was created for.

Constructor Summary
`ExpandVetoException(TreeExpansionEvent event)` Constructs an ExpandVetoException object with no message.
`ExpandVetoException(TreeExpansionEvent event, java.lang.String message)` Constructs an ExpandVetoException object with the specified message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### event

    protected TreeExpansionEvent event

  The event that the exception was created for.

Constructor Detail

### ExpandVetoException

    public ExpandVetoException(TreeExpansionEvent event)

  Constructs an ExpandVetoException object with no message.
  Parameters:
    `event` - a TreeExpansionEvent object

### ExpandVetoException

    public ExpandVetoException(TreeExpansionEvent event,
                               java.lang.String message)

  Constructs an ExpandVetoException object with the specified message.
  Parameters:
    `event` - a TreeExpansionEvent object
    `message` - a String containing the message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.